The Purchase Taxes And Charges object

Attributes

id string

Unique identifier for the object.

idx integer
parent_id string required
parent_type string required
category string

Default: Total

add_deduct_tax string

Default: Add

charge_type string

Default: On Net Total

row_id string
included_in_print_rate boolean

Default: false

account_head string required
cost_center string
description string required
rate number
tax_amount number
tax_amount_after_discount_amount number
total number
base_tax_amount number
base_total number
base_tax_amount_after_discount_amount number
project string
included_in_paid_amount boolean

Default: false

account_currency string
is_tax_withholding_account boolean

Default: false

net_amount number
base_net_amount number
set_by_item_tax_template boolean

Default: false

dont_recompute_tax boolean

Default: false

The Purchase Taxes And Charges object
{
  "id": "purchase-taxes-and-charges_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "category": "Total",
  "add_deduct_tax": "Add",
  "charge_type": "On Net Total",
  "row_id": "row_id_example",
  "included_in_print_rate": false,
  "account_head": "account_head_example",
  "cost_center": "cost_center_example",
  "description": "description_example",
  "rate": 0,
  "tax_amount": 0,
  "tax_amount_after_discount_amount": 0,
  "total": 0,
  "base_tax_amount": 0,
  "base_total": 0,
  "base_tax_amount_after_discount_amount": 0,
  "project": "project_example",
  "included_in_paid_amount": false,
  "account_currency": "USD",
  "is_tax_withholding_account": false,
  "net_amount": 0,
  "base_net_amount": 0,
  "set_by_item_tax_template": false,
  "dont_recompute_tax": false
}
GET /api/accounts/purchase-taxes-and-charges?parent_id={id}

List purchase taxes and chargess by parent

Returns all purchase taxes and chargess belonging to the specified parent.

Query parameters

parent_id string required

The ID of the parent to list children for.

Returns

A list of purchase taxes and charges objects belonging to the parent.

GET /api/accounts/purchase-taxes-and-charges?parent_id={id}
curl https://api.overplane.dev/api/accounts/purchase-taxes-and-charges?parent_id=parent_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "purchase-taxes-and-charges_abc123",
      "idx": 1,
      "parent_id": null,
      "parent_type": "parent_type_example",
      "category": "Total",
      "add_deduct_tax": "Add",
      "charge_type": "On Net Total",
      "row_id": "row_id_example",
      "included_in_print_rate": false,
      "account_head": "account_head_example",
      "cost_center": "cost_center_example",
      "description": "description_example",
      "rate": 0,
      "tax_amount": 0,
      "tax_amount_after_discount_amount": 0,
      "total": 0,
      "base_tax_amount": 0,
      "base_total": 0,
      "base_tax_amount_after_discount_amount": 0,
      "project": "project_example",
      "included_in_paid_amount": false,
      "account_currency": "USD",
      "is_tax_withholding_account": false,
      "net_amount": 0,
      "base_net_amount": 0,
      "set_by_item_tax_template": false,
      "dont_recompute_tax": false
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/purchase-taxes-and-charges

Create a purchase taxes and charges

Creates a new purchase taxes and charges object.

Body parameters

idx integer
parent_id string required
parent_type string required
category string

Default: Total

add_deduct_tax string

Default: Add

charge_type string

Default: On Net Total

row_id string
included_in_print_rate boolean

Default: false

account_head string required
cost_center string
description string required
rate number
tax_amount number
tax_amount_after_discount_amount number
total number
base_tax_amount number
base_total number
base_tax_amount_after_discount_amount number
project string
included_in_paid_amount boolean

Default: false

account_currency string
is_tax_withholding_account boolean

Default: false

net_amount number
base_net_amount number
set_by_item_tax_template boolean

Default: false

dont_recompute_tax boolean

Default: false

Returns

Returns the newly created purchase taxes and charges object if the call succeeded.

POST /api/accounts/purchase-taxes-and-charges
curl https://api.overplane.dev/api/accounts/purchase-taxes-and-charges \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"parent_id":null,"parent_type":"parent_type_example","account_head":"account_head_example","description":"description_example"}'
Response
{
  "id": "purchase-taxes-and-charges_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "category": "Total",
  "add_deduct_tax": "Add",
  "charge_type": "On Net Total",
  "row_id": "row_id_example",
  "included_in_print_rate": false,
  "account_head": "account_head_example",
  "cost_center": "cost_center_example",
  "description": "description_example",
  "rate": 0,
  "tax_amount": 0,
  "tax_amount_after_discount_amount": 0,
  "total": 0,
  "base_tax_amount": 0,
  "base_total": 0,
  "base_tax_amount_after_discount_amount": 0,
  "project": "project_example",
  "included_in_paid_amount": false,
  "account_currency": "USD",
  "is_tax_withholding_account": false,
  "net_amount": 0,
  "base_net_amount": 0,
  "set_by_item_tax_template": false,
  "dont_recompute_tax": false
}
PATCH /api/accounts/purchase-taxes-and-charges/{id}

Update a purchase taxes and charges

Updates the specified purchase taxes and charges by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the purchase taxes and charges to update.

Body parameters

idx integer
parent_id string
parent_type string
category string

Default: Total

add_deduct_tax string

Default: Add

charge_type string

Default: On Net Total

row_id string
included_in_print_rate boolean

Default: false

account_head string
cost_center string
description string
rate number
tax_amount number
tax_amount_after_discount_amount number
total number
base_tax_amount number
base_total number
base_tax_amount_after_discount_amount number
project string
included_in_paid_amount boolean

Default: false

account_currency string
is_tax_withholding_account boolean

Default: false

net_amount number
base_net_amount number
set_by_item_tax_template boolean

Default: false

dont_recompute_tax boolean

Default: false

Returns

Returns the updated purchase taxes and charges object.

PATCH /api/accounts/purchase-taxes-and-charges/{id}
curl https://api.overplane.dev/api/accounts/purchase-taxes-and-charges/purchase-taxes-and-charges_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"idx":1,"parent_id":null}'
Response
{
  "id": "purchase-taxes-and-charges_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "category": "Total",
  "add_deduct_tax": "Add",
  "charge_type": "On Net Total",
  "row_id": "row_id_example",
  "included_in_print_rate": false,
  "account_head": "account_head_example",
  "cost_center": "cost_center_example",
  "description": "description_example",
  "rate": 0,
  "tax_amount": 0,
  "tax_amount_after_discount_amount": 0,
  "total": 0,
  "base_tax_amount": 0,
  "base_total": 0,
  "base_tax_amount_after_discount_amount": 0,
  "project": "project_example",
  "included_in_paid_amount": false,
  "account_currency": "USD",
  "is_tax_withholding_account": false,
  "net_amount": 0,
  "base_net_amount": 0,
  "set_by_item_tax_template": false,
  "dont_recompute_tax": false
}
DELETE /api/accounts/purchase-taxes-and-charges/{id}

Delete a purchase taxes and charges

Permanently deletes a purchase taxes and charges. This cannot be undone.

Path parameters

id string required

The identifier of the purchase taxes and charges to delete.

Returns

Returns a confirmation that the purchase taxes and charges has been deleted.

DELETE /api/accounts/purchase-taxes-and-charges/{id}
curl https://api.overplane.dev/api/accounts/purchase-taxes-and-charges/purchase-taxes-and-charges_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "purchase-taxes-and-charges_abc123",
  "deleted": true
}
POST /api/accounts/purchase-taxes-and-charges/reorder

Reorder purchase taxes and chargess

Updates the sort order of purchase taxes and chargess within their parent by setting new index values.

Returns

Returns the reordered list.

POST /api/accounts/purchase-taxes-and-charges/reorder
curl https://api.overplane.dev/api/accounts/purchase-taxes-and-charges/reorder \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "purchase-taxes-and-charges_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "category": "Total",
  "add_deduct_tax": "Add",
  "charge_type": "On Net Total",
  "row_id": "row_id_example",
  "included_in_print_rate": false,
  "account_head": "account_head_example",
  "cost_center": "cost_center_example",
  "description": "description_example",
  "rate": 0,
  "tax_amount": 0,
  "tax_amount_after_discount_amount": 0,
  "total": 0,
  "base_tax_amount": 0,
  "base_total": 0,
  "base_tax_amount_after_discount_amount": 0,
  "project": "project_example",
  "included_in_paid_amount": false,
  "account_currency": "USD",
  "is_tax_withholding_account": false,
  "net_amount": 0,
  "base_net_amount": 0,
  "set_by_item_tax_template": false,
  "dont_recompute_tax": false
}